"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CryptoBox = void 0;
const ariesAskar_1 = require("../ariesAskar");
class CryptoBox {
    static randomNonce() {
        return ariesAskar_1.ariesAskar.keyCryptoBoxRandomNonce();
    }
    static cryptoBox({ recipientKey, senderKey, message, nonce, }) {
        return ariesAskar_1.ariesAskar.keyCryptoBox({ nonce, message, senderKey, recipientKey });
    }
    static open({ recipientKey, senderKey, message, nonce, }) {
        return ariesAskar_1.ariesAskar.keyCryptoBoxOpen({ nonce, message, senderKey, recipientKey });
    }
    static seal({ recipientKey, message }) {
        return ariesAskar_1.ariesAskar.keyCryptoBoxSeal({ message, localKeyHandle: recipientKey.handle });
    }
    static sealOpen({ recipientKey, ciphertext }) {
        return ariesAskar_1.ariesAskar.keyCryptoBoxSealOpen({ ciphertext, localKeyHandle: recipientKey.handle });
    }
}
exports.CryptoBox = CryptoBox;
//# sourceMappingURL=CryptoBox.js.map