import type { KeyAlgs } from '../enums';
import { Key } from './Key';
export declare class Ecdh1PU {
    private algId;
    private apu;
    private apv;
    constructor({ apv, apu, algId }: {
        algId: Uint8Array;
        apu: Uint8Array;
        apv: Uint8Array;
    });
    deriveKey({ encAlg, ephemeralKey, recipientKey, senderKey, receive, ccTag, }: {
        encAlg: KeyAlgs;
        ephemeralKey: Key;
        recipientKey: Key;
        senderKey: Key;
        receive: boolean;
        ccTag?: Uint8Array;
    }): Key;
    encryptDirect({ encAlg, recipientKey, ephemeralKey, senderKey, message, aad, nonce, }: {
        encAlg: KeyAlgs;
        ephemeralKey: Key;
        recipientKey: Key;
        senderKey: Key;
        message: Uint8Array;
        aad?: Uint8Array;
        nonce?: Uint8Array;
    }): import("..").EncryptedBuffer;
    decryptDirect({ nonce, encAlg, recipientKey, ephemeralKey, senderKey, ciphertext, tag, aad, }: {
        encAlg: KeyAlgs;
        ephemeralKey: Key;
        recipientKey: Key;
        senderKey: Key;
        ciphertext: Uint8Array;
        nonce: Uint8Array;
        tag: Uint8Array;
        aad?: Uint8Array;
    }): Uint8Array;
    senderWrapKey({ wrapAlg, ephemeralKey, recipientKey, senderKey, cek, ccTag, }: {
        wrapAlg: KeyAlgs;
        ephemeralKey: Key;
        recipientKey: Key;
        senderKey: Key;
        cek: Key;
        ccTag: Uint8Array;
    }): import("..").EncryptedBuffer;
    receiverUnwrapKey({ wrapAlg, encAlg, recipientKey, ephemeralKey, senderKey, ciphertext, nonce, tag, ccTag, }: {
        wrapAlg: KeyAlgs;
        encAlg: KeyAlgs;
        ephemeralKey: Key;
        recipientKey: Key;
        senderKey: Key;
        ciphertext: Uint8Array;
        nonce?: Uint8Array;
        tag?: Uint8Array;
        ccTag: Uint8Array;
    }): Key;
}
