"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleInvalidNullResponse = exports.AriesAskarError = void 0;
class AriesAskarError extends Error {
    constructor({ code, message, extra }) {
        super(message);
        this.code = code;
        this.extra = extra;
    }
    static customError({ message }) {
        return new AriesAskarError({ message, code: 100 });
    }
}
exports.AriesAskarError = AriesAskarError;
function handleInvalidNullResponse(response) {
    if (response === null) {
        throw AriesAskarError.customError({ message: 'Invalid response. Expected value but received null pointer' });
    }
    return response;
}
exports.handleInvalidNullResponse = handleInvalidNullResponse;
//# sourceMappingURL=error.js.map