"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Entry = void 0;
class Entry {
    constructor({ list, position }) {
        this._list = list;
        this._pos = position;
    }
    get category() {
        return this._list.getCategory(this._pos);
    }
    get name() {
        return this._list.getName(this._pos);
    }
    get value() {
        // eslint-disable-next-line @typescript-eslint/ban-ts-comment
        // @ts-ignore
        // eslint-disable-next-line @typescript-eslint/no-unsafe-assignment, @typescript-eslint/no-unsafe-call
        const decoder = new TextDecoder();
        // eslint-disable-next-line @typescript-eslint/no-unsafe-return, @typescript-eslint/no-unsafe-member-access, @typescript-eslint/no-unsafe-call
        return decoder.decode(this.rawValue);
    }
    get rawValue() {
        return this._list.getValue(this._pos);
    }
    get tags() {
        const tags = this._list.getTags(this._pos);
        if (!tags)
            return {};
        return JSON.parse(tags);
    }
    toJson(shouldParseValueToJson = false) {
        return {
            name: this.name,
            value: shouldParseValueToJson ? JSON.parse(this.value) : this.value,
            tags: this.tags,
            category: this.category,
        };
    }
}
exports.Entry = Entry;
//# sourceMappingURL=Entry.js.map