import type { ScanHandle } from '../crypto';
import type { EntryObject } from './Entry';
import type { Store } from './Store';
export declare class Scan {
    private _handle?;
    private _listHandle?;
    private store;
    private profile?;
    private category;
    private tagFilter?;
    private offset?;
    private limit?;
    constructor({ category, limit, offset, profile, tagFilter, store, }: {
        profile?: string;
        category: string;
        tagFilter?: Record<string, unknown>;
        offset?: number;
        limit?: number;
        store: Store;
    });
    get handle(): ScanHandle | undefined;
    private forEach;
    fetchAll(): Promise<EntryObject[]>;
}
